Subject: RE: [PATCH bpf-next v2 0/6] AF_XDP Packet Drop Tracing

From: "Loftus, Ciara" <[email-masked]>
Date: Wed, 27 Jan 2021 10:17:51 +0000

> 
> Ciara Loftus <[email-masked]> writes:
> 
> > This series introduces tracing infrastructure for AF_XDP sockets (xsks).
> > A trace event 'xsk_packet_drop' is created which can be enabled by
> toggling
> >
> > /sys/kernel/debug/tracing/events/xsk/xsk_packet_drop/enable
> >
> > When enabled and packets are dropped in the kernel, traces are generated
> > which describe the reason for the packet drop as well as the netdev and
> > qid information of the xsk which encountered the drop.
> >
> > Example traces:
> >
> > 507.588563: xsk_packet_drop: netdev: eth0 qid 0 reason: rxq full
> > 507.588567: xsk_packet_drop: netdev: eth0 qid 0 reason: packet too big
> > 507.588568: xsk_packet_drop: netdev: eth0 qid 0 reason: fq empty
> >
> > The event can also be monitored using perf:
> >
> > perf stat -a -e xsk:xsk_packet_drop
> 
> Would it make sense to also hook this up to drop_monitor?
> 
> -Toke

Thanks for bring that to my attention Toke. I think it makes sense.
I put together a quick prototype and it looks like a good fit.
Neil what do you think?
Perhaps as a follow up patch to the series in question however?

Ciara